
#
# Simple selects
#
SELECT_ALL_PLAYERS = "SELECT * FROM af_admins;"
SELECT_ALL_GROUPS = "SELECT * FROM af_groups;"
SELECT_ADMINS_GROUPS = "SELECT * FROM af_admins_groups;"


#
# Adding admins
#
INSERT_ADMIN = "INSERT INTO af_admins (name, steamid, ip, flags, immunity, password) VALUES (%s, %s, %s, %s, %s, %s);"
INSERT_GROUP = "INSERT INTO af_groups (name, flags) VALUES (%s, %s);"
INSERT_ADMIN_GROUP = "INSERT INTO af_admins_groups (admin_id, group_id) VALUES (%s, %s);"


#
# Database Time
#

UPDATE_TABLE_TIME = "UPDATE af_config SET cfg_value = %s WHERE cfg_key = 'update_time';"
SELECT_TABLE_TIME = "SELECT * FROM af_config WHERE cfg_key = 'update_time';"


#
# Deleting Admins
#

DELETE_ADMIN = "DELETE FROM af_admins WHERE id = %s;"
DELETE_GROUP = "DELETE FROM af_groups WHERE id = %s;"
DELETE_ADMIN_GROUP_BY_ADMIN = "DELETE FROM af_admins_groups WHERE admin_id = %s;"
DELETE_ADMIN_GROUP_BY_GROUP = "DELETE FROM af_admins_groups WHERE group_id = %s;"
