# Note:  Most of this SQL is created by the Sourcemod team.  I do not claim it is my own.
# Something about imitation is highest form of flattery?
import constants
from sql_common import *
import time
#
# SQL Queries (SQLite flavored)
#

#
# Table Creation
#


CREATE_ADMINS_TABLE = """
 CREATE TABLE IF NOT EXISTS af_admins (
id INTEGER PRIMARY KEY AUTOINCREMENT,
name VARCHAR( 65 ) NOT NULL,
steamid VARCHAR( 65 ) NOT NULL ,
ip VARCHAR( 65 ) NOT NULL ,
flags VARCHAR( 255 ) NOT NULL ,
immunity INTEGER NOT NULL ,
password VARCHAR( 65 ) NOT NULL 
);
"""

CREATE_GROUPS_TABLE = """
 CREATE TABLE IF NOT EXISTS af_groups (
id INTEGER PRIMARY KEY AUTOINCREMENT,
name VARCHAR( 65 ) UNIQUE NOT NULL,
flags VARCHAR( 255 ) NOT NULL
);
"""

CREATE_ADMINS_GROUP_TABLE = """
 CREATE TABLE IF NOT EXISTS af_admins_groups (
admin_id INTEGER NOT NULL ,
group_id INTEGER NOT NULL
);
"""

CREATE_CONFIG_TABLE = """
 CREATE TABLE IF NOT EXISTS af_config (
cfg_key VARCHAR( 32 ) PRIMARY KEY,
cfg_value VARCHAR( 255 ) NOT NULL 
);
"""

SET_TABLE_VERSION = """
 REPLACE INTO af_config
(cfg_key, cfg_value) VALUES
('admin_version', '%s')
""" % (constants.version)

SET_TABLE_TIME = """
 REPLACE INTO af_config
(cfg_key, cfg_value) VALUES
('update_time', '%s')
""" % (int(time.time() ) )

